Categories:
  - Internet
  - Reading
License: BSD-3-Clause
AuthorName: Kevin Fechtel
WebSite: https://github.com/KevinCFechtel/FluxNews
SourceCode: https://github.com/KevinCFechtel/FluxNews/tree/main
IssueTracker: https://github.com/KevinCFechtel/FluxNews/issues

Name: Flux News
AutoName: Flux News

RepoType: git
Repo: https://github.com/KevinCFechtel/FluxNews.git

Builds:
  - versionName: 1.3.1
    versionCode: 2023112511
    commit: v1.3.1
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.1
    versionCode: 2023112512
    commit: v1.3.1
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.1
    versionCode: 2023112513
    commit: v1.3.1
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.2
    versionCode: 2023121511
    commit: d5428ce4cea5af944401db15ee80359a0cd18661
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.2
    versionCode: 2023121512
    commit: d5428ce4cea5af944401db15ee80359a0cd18661
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.2
    versionCode: 2023121513
    commit: d5428ce4cea5af944401db15ee80359a0cd18661
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.3
    versionCode: 2023122011
    commit: eb66c39398bd1eca15863b0a59ad6de07d310154
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.3
    versionCode: 2023122012
    commit: eb66c39398bd1eca15863b0a59ad6de07d310154
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.3
    versionCode: 2023122013
    commit: eb66c39398bd1eca15863b0a59ad6de07d310154
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.4
    versionCode: 2023123111
    commit: 1309e801f56407d0e22c6627aca796db415eef4e
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.4
    versionCode: 2023123112
    commit: 1309e801f56407d0e22c6627aca796db415eef4e
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.4
    versionCode: 2023123113
    commit: 1309e801f56407d0e22c6627aca796db415eef4e
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.5
    versionCode: 2024010711
    commit: 1e85be9d265900f60a1c4b96b0030839dcbc9338
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.5
    versionCode: 2024010712
    commit: 1e85be9d265900f60a1c4b96b0030839dcbc9338
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.5
    versionCode: 2024010713
    commit: 1e85be9d265900f60a1c4b96b0030839dcbc9338
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.6
    versionCode: 2024022611
    commit: 0e036efb870915566e1fe8083c3d7299d94b8162
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.6
    versionCode: 2024022612
    commit: 0e036efb870915566e1fe8083c3d7299d94b8162
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.6
    versionCode: 2024022613
    commit: 0e036efb870915566e1fe8083c3d7299d94b8162
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

  - versionName: 1.3.7
    versionCode: 2024032931
    commit: 71493c35a788463a8fa9b95f5031ec120d8d7e9f
    submodules: true
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-x64"

  - versionName: 1.3.7
    versionCode: 2024032932
    commit: 71493c35a788463a8fa9b95f5031ec120d8d7e9f
    submodules: true
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm"

  - versionName: 1.3.7
    versionCode: 2024032933
    commit: 71493c35a788463a8fa9b95f5031ec120d8d7e9f
    submodules: true
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    rm:
      - ios
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter config --no-analytics
      - vendor/flutter/bin/flutter pub get
    scanignore:
      - vendor/flutter/bin/cache
    scandelete:
      - vendor/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - vendor/flutter/bin/flutter build apk --release --split-per-abi --target-platform="android-arm64"

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 1.3.7
CurrentVersionCode: 2024032933
